Basic Radar in JavaScript

Using ApexCharts with JavaScript

This Basic Radar example uses ApexCharts.js directly in JavaScript, with no wrapper component.

Install it with npm install apexcharts, then mount the chart with new ApexCharts(element, options).render().

JavaScript installation guide
var options = {
  series: [
    {
      name: 'Revenue ($k)',
      data: [80, 50, 30, 40, 100, 20],
    },
  ],
  chart: {
    height: 350,
    type: 'radar',
  },
  title: {
    text: 'Monthly Sales Performance',
  },
  yaxis: {
    stepSize: 20,
  },
  xaxis: {
    categories: ['January', 'February', 'March', 'April', 'May', 'June'],
  },
}

var chart = new ApexCharts(document.querySelector('#chart'), options)
chart.render()

Basic Radar in React

Using ApexCharts with React

This Basic Radar example wires ApexCharts into React through the react-apexcharts component.

Install it with npm install react-apexcharts apexcharts, then mount the chart with <Chart type="..." options={options} series={series} />.

React charts guide
import React from 'react'
import ReactApexChart from 'react-apexcharts'
import './styles.css'

const ApexChart = () => {
  const [state, setState] = React.useState({
    series: [
      {
        name: 'Revenue ($k)',
        data: [80, 50, 30, 40, 100, 20],
      },
    ],
    options: {
      chart: {
        height: 350,
        type: 'radar',
      },
      title: {
        text: 'Monthly Sales Performance',
      },
      yaxis: {
        stepSize: 20,
      },
      xaxis: {
        categories: ['January', 'February', 'March', 'April', 'May', 'June'],
      },
    },
  })

  return (
    <div>
      <div id="chart">
        <ReactApexChart
          options={state.options}
          series={state.series}
          type="radar"
          height={350}
        />
      </div>
    </div>
  )
}

export default ApexChart

Basic Radar in Vue

Using ApexCharts with Vue

This Basic Radar example wires ApexCharts into Vue through the vue3-apexcharts component.

Install it with npm install vue3-apexcharts apexcharts, then mount the chart with <apexchart type="..." :options="options" :series="series" />.

Vue charts guide
<template>
  <div>
    <div id="chart">
      <apexchart
        type="radar"
        height="350"
        :options="chartOptions"
        :series="series"
      ></apexchart>
    </div>
  </div>
</template>

<script>
import VueApexCharts from 'vue-apexcharts'

export default {
  components: {
    apexchart: VueApexCharts,
  },
  data: function () {
    return {
      series: [
        {
          name: 'Revenue ($k)',
          data: [80, 50, 30, 40, 100, 20],
        },
      ],
      chartOptions: {
        chart: {
          height: 350,
          type: 'radar',
        },
        title: {
          text: 'Monthly Sales Performance',
        },
        yaxis: {
          stepSize: 20,
        },
        xaxis: {
          categories: ['January', 'February', 'March', 'April', 'May', 'June'],
        },
      },
    }
  },
}
</script>

<style>
#chart {
  max-width: 450px;
  margin: 35px auto;
}
</style>